#include "zonefile_cod4_360.h"
#include "xassetlist.h"

#include <QFile>
#include "xdatastream.h"
#include <QDebug>

ZoneFile_COD4_360::ZoneFile_COD4_360()
    : ZoneFile()
{
    pSetType(0, ASSET_TYPE_XMODELPIECES);
    pSetType(1, ASSET_TYPE_PHYSPRESET);
    pSetType(2, ASSET_TYPE_XANIMPARTS);
    pSetType(3, ASSET_TYPE_XMODEL);
    pSetType(4, ASSET_TYPE_MATERIAL);
    pSetType(5, ASSET_TYPE_PIXELSHADER);
    pSetType(6, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(7, ASSET_TYPE_IMAGE);
    pSetType(8, ASSET_TYPE_SOUND);
    pSetType(9, ASSET_TYPE_SOUND_CURVE);
    pSetType(10, ASSET_TYPE_LOADED_SOUND);
    pSetType(11, ASSET_TYPE_CLIPMAP);
    pSetType(12, ASSET_TYPE_CLIPMAP_PVS);
    pSetType(13, ASSET_TYPE_COMWORLD);
    pSetType(14, ASSET_TYPE_GAMEWORLD_SP);
    pSetType(15, ASSET_TYPE_GAMEWORLD_MP);
    pSetType(16, ASSET_TYPE_MAP_ENTS);
    pSetType(17, ASSET_TYPE_GFXWORLD);
    pSetType(18, ASSET_TYPE_LIGHT_DEF);
    pSetType(19, ASSET_TYPE_UI_MAP);
    pSetType(20, ASSET_TYPE_FONT);
    pSetType(21, ASSET_TYPE_MENULIST);
    pSetType(22, ASSET_TYPE_MENU);
    pSetType(23, ASSET_TYPE_LOCALIZE_ENTRY);
    pSetType(24, ASSET_TYPE_WEAPON);
    pSetType(25, ASSET_TYPE_SNDDRIVER_GLOBALS);
    pSetType(26, ASSET_TYPE_FX);
    pSetType(27, ASSET_TYPE_IMPACT_FX);
    pSetType(28, ASSET_TYPE_AITYPE);
    pSetType(29, ASSET_TYPE_MPTYPE);
    pSetType(30, ASSET_TYPE_CHARACTER);
    pSetType(31, ASSET_TYPE_XMODELALIAS);
    pSetType(32, ASSET_TYPE_RAWFILE);
    pSetType(33, ASSET_TYPE_STRINGTABLE);
    pSetType(34, ASSET_TYPE_COUNT);
    pSetType(35, ASSET_TYPE_STRING);
    pSetType(36, ASSET_TYPE_ASSETLIST);
}

ZoneFile_COD4_360::~ZoneFile_COD4_360() {

}



bool ZoneFile_COD4_360::Load(const QByteArray aFileData) {
    return ZoneFile::Load(aFileData);
}
